### Hierarchy

- DeepCopy<OfferSearch>
  - OfferSearch

## Index

### Constructors

- constructor

### Properties

- createdAt
- id
- offerId
- owner
- searchRequestId

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson
- fromJson

## Constructors

### constructor

- new OfferSearch(searchRequestId?: number, offerId?: number): OfferSearch

- - Defined in repository/models/OfferSearch.ts:17

  #### Parameters

  - ##### Default value searchRequestId: number = 0

  - ##### Default value offerId: number = 0

  #### Returns OfferSearch

## Properties

### createdAt

createdAt: Date = new Date()

- Defined in repository/models/OfferSearch.ts:10

### id

id: number = 0

- Defined in repository/models/OfferSearch.ts:6

### offerId

offerId: number = 0

- Defined in repository/models/OfferSearch.ts:9

### owner

owner: string = "0x0"

- Defined in repository/models/OfferSearch.ts:7

### searchRequestId

searchRequestId: number = 0

- Defined in repository/models/OfferSearch.ts:8

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferSearch>): OfferSearch

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferSearch>

  #### Returns OfferSearch

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferSearch

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/OfferSearch.ts:34

  #### Returns OfferSearch

### Protected getClass

- getClass(): ClassCreator<OfferSearch>

- Overrides DeepCopy.getClass

  - Defined in repository/models/OfferSearch.ts:38

  #### Returns ClassCreator<OfferSearch>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/OfferSearch.ts:26

  #### Returns object

### Static fromJson

- fromJson(json: object): OfferSearch

- - Defined in repository/models/OfferSearch.ts:12

  #### Parameters

  - ##### json: object

  #### Returns OfferSearch

Generated using TypeDoc